Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install gcc-c++ libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		jack-keyboard
Version:	2.7.2
Release:	alt2_6
Summary:	Virtual keyboard for JACK MIDI
License:	BSD
URL:		http://sourceforge.net/projects/jack-keyboard/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Icon is derived from the image on the website:
Source1:	%{name}.png
# Upstreamable patch. Fix DSO linking
Patch0:		%{name}-dso-linking.patch
# cmake should look for gcc only
Patch1:		jack-keyboard-cproject.patch
BuildRequires:	ctest cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires:	libjack-devel
BuildRequires:	liblash-devel
Source44: import.info

%description
jack-keyboard is a virtual MIDI keyboard - a program that allows you to send
JACK MIDI events using your PC keyboard. It is somewhat similar to vkeybd,
except it uses JACK MIDI instead of ALSA, and the default keyboard mapping is
much better - it uses the same layout as trackers (like Impulse Tracker) did,
so you have two and half octaves under your fingers.

%prep
%setup -q
%patch0 -p1 -b .dso.linking
%patch1 -p1 -b .cproject

# Add GenericName to the desktop file
echo "GenericName=Virtual MIDI Keyboard" >> src/%{name}.desktop

# Fix man dir
sed -i 's|man/man1|%{_mandir}/man1|' CMakeLists.txt

%build
%{fedora_v2_cmake}
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

rm -fr $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/72x72/apps/
install -pm 644	%{SOURCE1} \
	$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/72x72/apps/

desktop-file-install						\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category=X-Jack					\
	$RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS NEWS README.md TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.7.2-alt2_6
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.7.2-alt2_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.7.2-alt2_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.7.2-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.7.2-alt2_1
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.7.2-alt1_1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_18
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_14
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_13
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_6
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_5
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_4
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_3
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.1-alt1_2
- initial fc import

